package com.perforce.bumble.pending;

import com.perforce.p4java.core.file.IFileSpec;

public class Pending {

	private final String path;
	private final String action;
	private int add = 0;
	private int del = 0;

	public Pending(String local, IFileSpec file) {
		this.action = file.getAction().name();
		this.path = local;

		switch (file.getAction()) {
		case ADD:
			add = 5;
			break;
		case DELETE:
			del = 5;
			break;
		default:
			add = 1;
			del = 1;
			break;
		}
	}

	public String getPath() {
		return path;
	}

	public String getAction() {
		return action.toLowerCase();
	}

	public int getAdd() {
		return add;
	}

	public int getDel() {
		return del;
	}
}
